Executive Summary

Informations
Name CVE-2018-10545 First vendor Publication 2018-04-29
Vendor Cve Last vendor Modification 2019-08-19

Security-Database Scoring CVSS v3

Cvss vector : CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N
Overall CVSS Score 4.7
Base Score 4.7 Environmental Score 4.7
impact SubScore 3.6 Temporal Score 4.7
Exploitabality Sub Score 1
 
Attack Vector Local Attack Complexity High
Privileges Required Low User Interaction None
Scope Unchanged Confidentiality Impact High
Integrity Impact None Availability Impact None
Calculate full CVSS 3.0 Vectors scores

Security-Database Scoring CVSS v2

Cvss vector : (AV:L/AC:M/Au:N/C:P/I:N/A:N)
Cvss Base Score 1.9 Attack Range Local
Cvss Impact Score 2.9 Attack Complexity Medium
Cvss Expoit Score 3.4 Authentication None Required
Calculate full CVSS 2.0 Vectors scores

Detail

An issue was discovered in PHP before 5.6.35, 7.0.x before 7.0.29, 7.1.x before 7.1.16, and 7.2.x before 7.2.4. Dumpable FPM child processes allow bypassing opcache access controls because fpm_unix.c makes a PR_SET_DUMPABLE prctl call, allowing one user (in a multiuser environment) to obtain sensitive information from the process memory of a second user's PHP applications by running gcore on the PID of the PHP-FPM worker process.

Original Source

Url : http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10545

CWE : Common Weakness Enumeration

% Id Name
100 % CWE-200 Information Exposure

CPE : Common Platform Enumeration

TypeDescriptionCount
Application 1
Application 838
Os 5
Os 3

Nessus® Vulnerability Scanner

Date Description
2018-12-03 Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201812-01.nasl - Type : ACT_GATHER_INFO
2018-07-06 Name : The remote Debian host is missing a security-related update.
File : debian_DSA-4240.nasl - Type : ACT_GATHER_INFO
2018-06-27 Name : The remote Debian host is missing a security update.
File : debian_DLA-1397.nasl - Type : ACT_GATHER_INFO
2018-05-10 Name : The remote Debian host is missing a security update.
File : debian_DLA-1373.nasl - Type : ACT_GATHER_INFO

Sources (Detail)

Source Url
BID http://www.securityfocus.com/bid/104022
CONFIRM http://php.net/ChangeLog-5.php
http://php.net/ChangeLog-7.php
https://bugs.php.net/bug.php?id=75605
https://security.netapp.com/advisory/ntap-20180607-0003/
https://www.tenable.com/security/tns-2018-12
DEBIAN https://www.debian.org/security/2018/dsa-4240
GENTOO https://security.gentoo.org/glsa/201812-01
MLIST https://lists.debian.org/debian-lts-announce/2018/05/msg00004.html
https://lists.debian.org/debian-lts-announce/2018/06/msg00005.html
REDHAT https://access.redhat.com/errata/RHSA-2019:2519
UBUNTU https://usn.ubuntu.com/3646-1/
https://usn.ubuntu.com/3646-2/

Alert History

If you want to see full details history, please login or register.
0
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
Date Informations
2020-05-23 02:10:04
  • Multiple Updates
2020-05-23 01:05:47
  • Multiple Updates
2019-08-19 17:19:32
  • Multiple Updates
2019-06-08 12:10:03
  • Multiple Updates
2019-03-18 17:19:27
  • Multiple Updates
2018-12-03 17:19:17
  • Multiple Updates
2018-10-02 12:13:07
  • Multiple Updates
2018-09-19 17:19:51
  • Multiple Updates
2018-07-09 05:18:01
  • Multiple Updates
2018-06-28 09:19:11
  • Multiple Updates
2018-06-09 09:19:08
  • Multiple Updates
2018-06-06 21:20:04
  • Multiple Updates
2018-05-18 09:19:26
  • Multiple Updates
2018-05-16 09:19:32
  • Multiple Updates
2018-05-11 09:19:11
  • Multiple Updates
2018-05-02 09:19:26
  • Multiple Updates
2018-04-30 00:19:45
  • First insertion